%define momorel 2
Summary:	Free Bangla TrueType fonts
Name:		truetype-fonts-bengali
Version:	0.5
Release:	%{momorel}m
License:	GPL
Group:		User Interface/X
URL: http://www.nongnu.org/freebangfont/
Source: freebanglafont-0.5.tar.gz
Source1:	bengali.fonts.scale

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:    xorg-x11-font-utils
BuildPrereq:    xorg-x11-fonts-base
PreReq:		chkfontpath-momonga, sh-utils

%description
This package contains a set of Free Bangla (Bengali) OpenType fonts based on
Unicode encoding scheme. The fonts are provided by Free Bangla Font project
(http://www.nongnu.org/freebengalifont), a sub project of Ankur group
(http://www.bengalinux.org).
                                                                                              
Install freebengalifont if you'd like to use Bangla or want to see Bangla
interface for GNOME, KDE, etc.
#'
When you use the fonts, for best results, please turn of the Font Hinting by
executing the gnome-font-properties command.
                                                                                              

%prep

%setup -q -n freebanglafont-%{version}

%build

%install
rm -fr %{buildroot}
%define instancedir /usr/share/fonts/truetype/bengali
%define xfontdir /usr/share/X11/fonts/truetype-bengali

mkdir -p %{buildroot}/%{instancedir}
mkdir -p %{buildroot}/%{xfontdir}
install -m 644 *.ttf %{buildroot}/%{instancedir}
for i in *.ttf
do
  ln -sf ../../../../..%{_datadir}/fonts/truetype/bengali/$i %{buildroot}%{xfontdir}/$i
done

install -m644 %{SOURCE1} %{buildroot}/%{xfontdir}/fonts.scale

/usr/bin/mkfontdir -e /usr/share/X11/fonts/encodings \
                         -e /usr/share/X11/fonts/encodings/large \
			                          %{buildroot}%{xfontdir}
%post
if [ -x %{_sbindir}/chkfontpath ]; then
   %{_sbindir}/chkfontpath -q -a %{xfontdir}
   if ! (grep /usr/share/X11/fonts/truetype-bengali /etc/X11/XftConfig >& /dev/null) ; then
     echo dir \"/usr/share/X11/fonts/truetype-bengali\" >> /etc/X11/XftConfig
   fi
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   if [ -x %{_sbindir}/chkfontpath ]; then
     %{_sbindir}/chkfontpath -q -r %{xfontdir}
     grep -v /usr/share/X11/fonts/truetype-bengali /etc/X11/XftConfig >/etc/X11/XftConfig.new
     mv /etc/X11/XftConfig.new /etc/X11/XftConfig
   fi
fi

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUGS README COPYING
%dir %{instancedir}
%dir %{xfontdir}
%{instancedir}/*.ttf
%{xfontdir}/*.ttf
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/encodings.dir


%changelog
* Wed Apr  5 2006 zunda <zunda at freeshell.org>
- (kossori)
- added xorg-x11-fonts-base to buildprereq. -e option of mkfontdir 
  requires the directory to exsist.

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-2m)
- revise for xorg-7.0
- change install dir

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.3-1m)
- initial import
